package com.YuyeTech.TPlat.repository;

import com.YuyeTech.TPlat.dataobject.GameTagReference;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.data.jpa.repository.JpaRepository;

import java.util.List;


/**
 * @author:slambb
 * @date:2020/1/16
 */
public interface GameTagReferenceRepository extends JpaRepository<GameTagReference,Integer> {

    Page<GameTagReference> findByGameId(String gameId, Pageable pageable);

    List<GameTagReference> findByGameId(String gameId);

    void deleteAllByGameId(String gameId);

}
